# may/16/2015 06:42:16 by RouterOS 6.18
# software id = 7TQH-QZFQ
#
/interface bridge
add name=Loop0 protocol-mode=none
/interface ethernet
set [ find default-name=ether1 ] speed=1Gbps
set [ find default-name=ether2 ] speed=1Gbps
/interface vlan
add interface=ether2 name=vlan0102 use-service-tag=yes vlan-id=102
add interface=ether2 name=vlan0200 use-service-tag=yes vlan-id=200
/routing bgp instance
set default redistribute-connected=yes redistribute-static=yes router-id=\
    172.16.0.9
/routing ospf instance
set [ find default=yes ] mpls-te-area=backbone mpls-te-router-id=Loop0 \
    redistribute-connected=as-type-1 router-id=172.16.0.9
/tool user-manager customer
set admin time-zone=+00:00
/ip address
add address=172.16.1.9/30 interface=vlan0102 network=172.16.1.8
add address=172.16.0.9/32 interface=Loop0 network=172.16.0.9
add address=192.0.2.2/30 interface=vlan0200 network=192.0.2.0
/ip dns
set servers=172.16.0.1,172.16.0.2
/ip upnp
set allow-disable-external-interface=no
/mpls ldp
set enabled=yes lsr-id=172.16.0.9 transport-address=172.16.0.9
/mpls ldp interface
add interface=vlan0102
/mpls traffic-eng interface
add bandwidth=1Gbps down-flood-thresholds="" interface=vlan0102 \
    up-flood-thresholds=""
/routing bgp peer
add hold-time=30s name=Transit out-filter=To-Transit remote-address=192.0.2.1 \
    remote-as=65500 ttl=default
add name=RR1.POP1-IPv4 nexthop-choice=propagate out-filter=To-RouteReflectors \
    remote-address=172.16.0.1 remote-as=65530 ttl=default update-source=Loop0
add name=RR1.POP2-IPv4 nexthop-choice=propagate out-filter=To-RouteReflectors \
    remote-address=172.16.0.2 remote-as=65530 ttl=default update-source=Loop0
/routing filter
add action=jump chain=To-RouteReflectors jump-target=ConnectedToBGP protocol=\
    connect
add action=jump chain=To-RouteReflectors jump-target=StaticToBGP protocol=\
    static
add action=discard chain=To-RouteReflectors
add action=return chain=ConnectedToBGP
add action=return chain=StaticToBGP
add action=accept bgp-communities=65500:666 chain=To-Transit prefix=0.0.0.0/0 \
    prefix-length=0-32
add action=discard bgp-communities="" chain=To-Transit prefix=0.0.0.0/0 \
    prefix-length=25-32
add action=accept append-bgp-communities=65530:1000 bgp-communities="" chain=\
    To-Transit prefix=172.16.0.0/16 set-bgp-communities=""
add action=accept bgp-communities=65530:1000 chain=To-Transit prefix=\
    0.0.0.0/0 prefix-length=0-24
add action=discard bgp-communities="" chain=To-Transit prefix=0.0.0.0/0 \
    prefix-length=0-32
/routing ospf interface
add interface=vlan0102 network-type=point-to-point use-bfd=yes
add network-type=broadcast passive=yes
/routing ospf network
add area=backbone network=172.16.1.8/30
/system identity
set name=AC1.POP1
