# may/16/2015 06:42:40 by RouterOS 6.18
# software id = 7TQH-QZFQ
#
/interface bridge
add name=Loop0 protocol-mode=none
/interface ethernet
set [ find default-name=ether1 ] speed=1Gbps
set [ find default-name=ether2 ] speed=1Gbps
/interface vlan
add interface=ether2 name=vlan0111 use-service-tag=yes vlan-id=111
add interface=ether2 name=vlan0201 use-service-tag=yes vlan-id=201
/mpls traffic-eng tunnel-path
add name=IGP reoptimize-interval=30m
add hops=172.16.0.6:loose,172.16.0.5:loose,172.16.0.3:loose,172.16.0.4:loose \
    name=TO-AC1.POP5-LONG use-cspf=no
add hops=172.16.0.6:loose name=TO-AC1.POP5-SHORT use-cspf=no
/interface traffic-eng
add disabled=no name=traffic-eng1 primary-path=TO-AC1.POP5-LONG record-route=\
    no secondary-paths=TO-AC1.POP5-SHORT,IGP to-address=172.16.0.14
/routing bgp instance
set default redistribute-connected=yes redistribute-static=yes router-id=\
    172.16.0.13
/routing ospf instance
set [ find default=yes ] mpls-te-area=backbone mpls-te-router-id=Loop0 \
    redistribute-connected=as-type-1 router-id=172.16.0.13
/tool user-manager customer
set admin time-zone=+00:00
/ip address
add address=172.16.1.45/30 interface=vlan0111 network=172.16.1.44
add address=172.16.0.13/32 interface=Loop0 network=172.16.0.13
add address=192.168.40.1/30 interface=vlan0201 network=192.168.40.0
/ip dns
set servers=172.16.0.1,172.16.0.2
/ip settings
set allow-fast-path=no secure-redirects=no send-redirects=no
/ip route
add distance=1 dst-address=172.16.0.14/32 gateway=traffic-eng1
add distance=1 dst-address=192.168.60.0/24 gateway=192.168.40.2
add distance=1 dst-address=192.168.60.16/32 type=blackhole
/ip upnp
set allow-disable-external-interface=no
/mpls interface
set [ find default=yes ] mpls-mtu=1600
/mpls ldp
set enabled=yes lsr-id=172.16.0.13 transport-address=172.16.0.13
/mpls ldp interface
add interface=vlan0111
/mpls traffic-eng interface
add bandwidth=1Gbps down-flood-thresholds="" interface=vlan0111 \
    up-flood-thresholds=""
/routing bgp peer
add name=RR1.POP1-IPv4 nexthop-choice=propagate out-filter=To-RouteReflectors \
    remote-address=172.16.0.1 remote-as=65530 ttl=default update-source=Loop0
add name=RR1.POP2-IPv4 nexthop-choice=propagate out-filter=To-RouteReflectors \
    remote-address=172.16.0.2 remote-as=65530 ttl=default update-source=Loop0
/routing filter
add action=jump chain=To-RouteReflectors jump-target=ConnectedToBGP protocol=\
    connect
add action=jump chain=To-RouteReflectors jump-target=StaticToBGP protocol=\
    static
add action=discard chain=To-RouteReflectors
add action=return chain=ConnectedToBGP
add action=accept chain=StaticToBGP prefix=192.168.60.0/24 prefix-length=32 \
    set-bgp-communities=65500:666
add action=accept append-bgp-communities=65530:1000 bgp-communities="" chain=\
    StaticToBGP prefix=192.168.60.0/24 prefix-length=24
add action=return chain=StaticToBGP
/routing ospf interface
add interface=vlan0111 network-type=point-to-point use-bfd=yes
add network-type=broadcast passive=yes
/routing ospf network
add area=backbone network=172.16.1.44/30
/system identity
set name=AC1.POP4
