# may/16/2015 06:44:41 by RouterOS 6.18
# software id = 7TQH-QZFQ
#
/interface bridge
add name=Loop0 protocol-mode=none
/interface ethernet
set [ find default-name=ether1 ] speed=1Gbps
set [ find default-name=ether2 ] speed=1Gbps
/interface vpls
add cisco-style=yes cisco-style-id=10000 disabled=no l2mtu=1500 mac-address=\
    02:3D:39:E3:AE:8F name=vpls1 remote-peer=172.16.0.6
/interface vlan
add interface=ether2 name=vlan0106 use-service-tag=yes vlan-id=106
add interface=ether2 name=vlan0107 use-service-tag=yes vlan-id=107
add interface=ether2 name=vlan0112 use-service-tag=yes vlan-id=112
/mpls traffic-eng tunnel-path
add name=IGP reoptimize-interval=30m
add hops=172.16.0.6:loose name=TO-P1.POP4-SHORT use-cspf=no
add hops=172.16.0.4:loose,172.16.0.3:loose,172.16.0.5:loose,172.16.0.6:loose \
    name=TO-P1.POP4-LONG use-cspf=no
/interface traffic-eng
add disabled=no name=traffic-eng1 primary-path=TO-P1.POP4-LONG record-route=\
    no secondary-paths=TO-P1.POP4-SHORT,IGP to-address=172.16.0.6
/routing ospf instance
set [ find default=yes ] mpls-te-area=backbone mpls-te-router-id=Loop0 \
    redistribute-connected=as-type-1 router-id=172.16.0.7
/tool user-manager customer
set admin time-zone=+00:00
/ip address
add address=172.16.1.26/30 interface=vlan0106 network=172.16.1.24
add address=172.16.0.7/32 interface=Loop0 network=172.16.0.7
add address=172.16.1.30/30 interface=vlan0107 network=172.16.1.28
add address=172.16.1.50/30 interface=vlan0112 network=172.16.1.48
add address=10.0.0.2/30 interface=vpls1 network=10.0.0.0
/ip dns
set servers=172.16.0.1,172.16.0.2
/ip upnp
set allow-disable-external-interface=no
/mpls ldp
set enabled=yes lsr-id=172.16.0.7 transport-address=172.16.0.7
/mpls ldp interface
add interface=vlan0106
add interface=vlan0107
add interface=vlan0112
/mpls traffic-eng interface
add bandwidth=1Gbps down-flood-thresholds="" interface=vlan0106 \
    up-flood-thresholds=""
add bandwidth=1Gbps down-flood-thresholds="" interface=vlan0107 \
    up-flood-thresholds=""
add bandwidth=1Gbps down-flood-thresholds="" interface=vlan0112 \
    up-flood-thresholds=""
/routing ospf interface
add interface=vlan0106 network-type=point-to-point use-bfd=yes
add network-type=broadcast passive=yes
add interface=vlan0107 network-type=point-to-point use-bfd=yes
add interface=vlan0112 network-type=point-to-point use-bfd=yes
/routing ospf network
add area=backbone network=172.16.1.24/30
add area=backbone network=172.16.1.28/30
add area=backbone network=172.16.1.48/30
/system identity
set name=P1.POP5
