# may/16/2015 06:44:35 by RouterOS 6.18
# software id = 7TQH-QZFQ
#
/interface bridge
add name=Loop0 protocol-mode=none
/interface ethernet
set [ find default-name=ether1 ] speed=1Gbps
set [ find default-name=ether2 ] speed=1Gbps
/interface vlan
add interface=ether2 name=vlan0100 use-service-tag=yes vlan-id=100
/routing bgp instance
set default redistribute-connected=yes redistribute-static=yes router-id=\
    172.16.0.1
/routing ospf instance
set [ find default=yes ] mpls-te-area=backbone mpls-te-router-id=Loop0 \
    redistribute-connected=as-type-1 router-id=172.16.0.1
/tool user-manager customer
set admin time-zone=+00:00
/ip address
add address=172.16.1.1/30 interface=vlan0100 network=172.16.1.0
add address=172.16.0.1/32 interface=Loop0 network=172.16.0.1
/ip dns
set allow-remote-requests=yes servers=172.16.0.1,172.16.0.2
/ip dns static
add address=172.16.1.1 name=vlan0100.rr1.pop1.lab
add address=172.16.1.2 name=vlan0100.p1.pop1.lab
add address=172.16.1.5 name=vlan0101.rr1.pop2.lab
add address=172.16.1.6 name=vlan0101.p1.pop2.lab
add address=172.16.1.9 name=vlan0102.ac1.pop1.lab
add address=172.16.1.10 name=vlan0102.p1.pop1.lab
add address=172.16.1.13 name=vlan0103.ac1.pop2.lab
add address=172.16.1.14 name=vlan0103.p1.pop2.lab
add address=172.16.1.17 name=vlan0104.p1.pop1.lab
add address=172.16.1.18 name=vlan0104.p1.pop2.lab
add address=172.16.1.21 name=vlan0105.p1.pop1.lab
add address=172.16.1.22 name=vlan0105.p1.pop3.lab
add address=172.16.1.25 name=vlan0106.p1.pop2.lab
add address=172.16.1.26 name=vlan0106.p1.pop5.lab
add address=172.16.1.29 name=vlan0107.p1.pop4.lab
add address=172.16.1.30 name=vlan0107.p1.pop5.lab
add address=172.16.1.33 name=vlan0108.p1.pop3.lab
add address=172.16.1.34 name=vlan0108.p1.pop4.lab
add address=172.16.1.37 name=vlan0109.ac1.pop3.lab
add address=172.16.1.38 name=vlan0109.p1.pop3.lab
add address=172.16.1.41 name=vlan0110.ac2.pop3.lab
add address=172.16.1.42 name=vlan0110.p1.pop3.lab
add address=172.16.1.45 name=vlan0111.ac1.pop4.lab
add address=172.16.1.46 name=vlan0111.p1.pop4.lab
add address=172.16.1.49 name=vlan0112.ac1.pop5.lab
add address=172.16.1.50 name=vlan0112.p1.pop5.lab
add address=172.16.0.1 name=loop0.rr1.pop1.lab
add address=172.16.0.2 name=loop0.rr1.pop2.lab
add address=172.16.0.3 name=loop0.p1.pop1.lab
add address=172.16.0.4 name=loop0.p1.pop2.lab
add address=172.16.0.5 name=loop0.p1.pop3.lab
add address=172.16.0.6 name=loop0.p1.pop4.lab
add address=172.16.0.7 name=loop0.p1.pop5.lab
add address=172.16.0.9 name=loop0.ac1.pop1.lab
add address=172.16.0.10 name=loop0.ac1.pop2.lab
add address=172.16.0.11 name=loop0.ac1.pop3.lab
add address=172.16.0.12 name=loop0.ac2.pop3.lab
add address=172.16.0.13 name=loop0.ac1.pop4.lab
add address=172.16.0.14 name=loop0.ac1.pop5.lab
add address=192.0.2.1 name=vlan0200.transit-rtr.lab
add address=192.0.2.2 name=vlan0200.ac1.pop1.lab
/ip route
add distance=254 dst-address=172.16.0.0/16 type=unreachable
/ip upnp
set allow-disable-external-interface=no
/mpls ldp
set enabled=yes lsr-id=172.16.0.1 transport-address=172.16.0.1
/mpls ldp interface
add interface=vlan0100
/routing bgp peer
add in-filter=RR-IN-IPv4 name=AC1.POP1-IPv4 nexthop-choice=propagate \
    remote-address=172.16.0.9 remote-as=65530 route-reflect=yes ttl=default \
    update-source=Loop0
add in-filter=RR-IN-IPv4 name=AC1.POP2-IPv4 nexthop-choice=propagate \
    remote-address=172.16.0.10 remote-as=65530 route-reflect=yes ttl=default \
    update-source=Loop0
add in-filter=RR-IN-IPv4 name=AC1.POP3-IPv4 nexthop-choice=propagate \
    remote-address=172.16.0.11 remote-as=65530 route-reflect=yes ttl=default \
    update-source=Loop0
add in-filter=RR-IN-IPv4 name=AC2.POP3-IPv4 nexthop-choice=propagate \
    remote-address=172.16.0.12 remote-as=65530 route-reflect=yes ttl=default \
    update-source=Loop0
add in-filter=RR-IN-IPv4 name=AC1.POP4-IPv4 nexthop-choice=propagate \
    remote-address=172.16.0.13 remote-as=65530 route-reflect=yes ttl=default \
    update-source=Loop0
add in-filter=RR-IN-IPv4 name=AC1.POP5-IPv4 nexthop-choice=propagate \
    remote-address=172.16.0.14 remote-as=65530 route-reflect=yes ttl=default \
    update-source=Loop0
/routing filter
add action=jump chain=RR-IN-IPv4 jump-target=NO-DEFAULT-IPv4
add action=accept chain=RR-IN-IPv4
add action=jump chain=RR-IN-IPv6 jump-target=NO-DEFAULT-IPv6
add action=accept chain=RR-IN-IPv6
add action=discard chain=NO-DEFAULT-IPv4 prefix=0.0.0.0/0
add action=return chain=NO-DEFAULT-IPv6
add action=discard chain=NO-DEFAULT-IPv6 prefix=::/0
add action=return chain=NO-DEFAULT-IPv4
/routing ospf interface
add interface=vlan0100 network-type=point-to-point use-bfd=yes
add network-type=broadcast passive=yes
/routing ospf network
add area=backbone network=172.16.1.0/30
/system identity
set name=RR1.POP1
